#
# spec file for package ghc-monad-logger
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name monad-logger
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        0.3.42
Release:        1.8
Summary:        A class of monads which can log messages
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-conduit-extra-prof
BuildRequires:  ghc-conduit-prof
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-fast-logger-prof
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-lifted-base-prof
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-control-prof
BuildRequires:  ghc-monad-loops-devel
BuildRequires:  ghc-monad-loops-prof
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-resourcet-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-chans-devel
BuildRequires:  ghc-stm-chans-prof
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-stm-prof
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-base-prof
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-compat-prof
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unliftio-core-devel
BuildRequires:  ghc-unliftio-core-prof
ExcludeArch:    %{ix86}

%description
A class of monads which can log messages.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Mon Mar 10 2025 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.42.
  [#]# 0.3.42
  * Forward compatibility with `-Wnoncanonical-monad-instances` becoming an error
* Tue Dec 31 2024 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.41.
  [#]# 0.3.41
  * Add `MonadAccum` instances for `LoggingT` and `NoLoggingT`
* Mon Jun  5 2023 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.40.
  [#]# 0.3.40
  * Relax `fast-logger` upper bound from 3.2 to 3.3
  * Add `Alternative` instances for `LoggingT` and `NoLoggingT`
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Wed Mar  8 2023 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.39 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Jan 26 2023 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.39.
  [#]# 0.3.39
  * Make the previous change backwards compatible with CPP
  [#]# 0.3.38
  * Drop old deprecated instances to support transformers 0.6 [#39](https://github.com/snoyberg/monad-logger/pull/39)
* Wed Dec 21 2022 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.37 revision 3.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Oct 24 2022 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.37 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Fri Oct  7 2022 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.37 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Aug 24 2022 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.37.
  [#]# 0.3.37
  * Add `Semigroup`/`Monoid` instances to `LoggingT`, `NoLoggingT`, and `WriterLoggingT`
* Wed May 18 2022 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.36 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Dec  7 2021 Peter Simons <psimons@suse.com>
- Update monad-logger to version 0.3.36 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Wed Nov 25 2020 psimons@suse.com
- Update monad-logger to version 0.3.36.
  [#]# 0.3.36
  * Export the `defaultOutput` function, useful for defining custom instances of `MonadLogger`. [#29](https://github.com/snoyberg/monad-logger/pull/29)
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Thu Aug 13 2020 psimons@suse.com
- Update monad-logger to version 0.3.35.
  [#]# 0.3.35
  * Add Hackage status badge
  * Document `Loc` [#26](https://github.com/snoyberg/monad-logger/pull/26)
* Wed Jul  8 2020 psimons@suse.com
- Update monad-logger to version 0.3.34.
  [#]# 0.3.34
  * Fix build for lts-9 resolver
* Thu Jul  2 2020 psimons@suse.com
- Update monad-logger to version 0.3.33.
  [#]# 0.3.33
  * Export `LogLine` type synonym.
* Tue Jun  9 2020 psimons@suse.com
- Add monad-logger at version 0.3.32.
